%define name webcam_server
%define version 0.40
%define release %mkrel 5
%define url http://donn.dyndns.org/portalofnnod

Summary: A server to stream webcam video or snapshots
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.tar.bz2
Source1: %name.bz2
License: GPL
Group: System/Kernel and hardware
BuildRequires: jpeg-devel
Prefix: /usr
URL: http://donn.dyndns.org/portalofnnod/

%description
webcam_server  is  a  server  daemon that can stream frames
from any video4linux device to remote clients running the 
provided applet or single frame snapshots running a web browser.
Client applets provided in /usr/share/doc/webcam_server-%{version}/client

%prep
%setup -q

%build
%configure 
# --prefix=/usr --mandir=/usr/share/man
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d
#mkdir -p $RPM_BUILD_ROOT/%{bindir}
#mkdir -p $RPM_BUILD_ROOT/%{mandir}/man1
#mkdir -p $RPM_BUILD_ROOT/%{bindir}/share/%{name}-%{version}/client
#for i in src/client/*; do
#         install -m644 $i $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/client/
# done
		 
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/webcam_server
chmod 755 $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/webcam_server
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/client/*
%{_bindir}/*
%{_mandir}/man1/*
%attr(-,root,root) %config %_sysconfdir/rc.d/init.d/webcam_server
#%attr(-,root,root) /%{bindir}/share/%{name}-%{version}/client/*



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.40-5mdv2008.1
+ Revision: 129295
- kill re-definition of %%buildroot on Pixel's request
- import webcam_server


* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.40-5mdk
- source 1: fix init script Z0RGLUB99 (#16494):
  o fix permissions
  o add missing status option
  o fix shell syntax error
  o use own daemon mode

* Sun Dec 07 2003 Franck Villaume <fvill@freesurf.fr> 0.40-4mdk
- add BuildRequires : jpeg-devel

* Wed Dec 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.40-3mdk
- Fix wrong path (/%%{bindir}/... hu !!)

* Fri Oct 11 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.40-2mdk
- Fix init script (should not be started: needs much more configuration anyway).

* Fri Oct 11 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.40-1mdk
- Quick and dirty rpm for 0.40
